Debian Bug report logs - #521553
Staging drivers contain non-free firmware

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Sat, 28 Mar 2009 13:06:01 UTC

Severity: serious

Tags: pending

Found in version 2.6.29

Fixed in version linux-2.6/2.6.30-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sat, 28 Mar 2009 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-eeepc-devel@lists.alioth.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 13:06:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rt2860 driver contains non-free firmware
Date: Sat, 28 Mar 2009 15:03:36 +0200
Package: linux-2.6
Version: 2.6.29
Severity: serious

[cc-ed to debian-eeepc-devel as the affected network controller is uused in
several eeepc models]

Hi,

The file drivers/staging/rt2860/common/firmware.h contains the following
text:

/*
 Copyright (c) 2007, Ralink Technology Corporation
 All rights reserved.

 Redistribution.  Redistribution and use in binary form, without
 modification, are permitted provided that the following conditions are
 met:

        * Redistributions must reproduce the above copyright notice and the
        following disclaimer in the documentation and/or other materials
        provided with the distribution.
        * Neither the name of Ralink Technology Corporation nor the names of its
        suppliers may be used to endorse or promote products derived from this
        software without specific prior written permission.
        * No reverse engineering, decompilation, or disassembly of this software
        is permitted.

 Limited patent license. Ralink Technology Corporation grants a world-wide,
 royalty-free, non-exclusive license under patents it now or hereafter
 owns or controls to make, have made, use, import, offer to sell and
 sell ("Utilize") this software, but solely to the extent that any
 such patent is necessary to Utilize the software alone, or in
 combination with an operating system licensed under an approved Open
 Source license as listed by the Open Source Initiative at
 http://opensource.org/licenses.  The patent license shall not apply to
 any other combinations which include this software.  No hardware per
 se is licensed hereunder.

 DISCLAIMER.  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 DAMAGE.
*/
/* AUTO GEN PLEASE DO NOT MODIFY IT */

(followed by a big array of bytes)

This fails several of the DFSG:

Redistribution is allowed only without modification. This breaks the "Derived
Works" requirement.

"No reverse engineering, decompilation, or disassembly of this software is
permitted." breaks the "No Discrimination Against Fields of Endeavor"
requirement.

There is no source code so it breaks the "Source Code" requirement. The byte
array is just a C equivalent of the binary image. It is explicitly prohibited
to decompile the image, suggesting it is a result of some compilation from e.g.
some source code (which is not provided).


Thanks,
    dam


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (450, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Changed Bug title to `Staging drivers contain non-free firmware' from `rt2860 driver contains non-free firmware'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 28 Mar 2009 14:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sat, 28 Mar 2009 14:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 14:36:02 GMT) Full text and rfc822 format available.

Message #12 received at 521553@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dmn@debian.org>, 521553@bugs.debian.org
Cc: debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Sat, 28 Mar 2009 14:34:14 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2009-03-28 at 15:03 +0200, Damyan Ivanov wrote:
> Package: linux-2.6
> Version: 2.6.29
> Severity: serious
> 
> [cc-ed to debian-eeepc-devel as the affected network controller is uused in
> several eeepc models]
> 
> Hi,
> 
> The file drivers/staging/rt2860/common/firmware.h contains the following
> text:
[...]

There was me thinking we'd finally got rid of the firmware, and more of
it pops up in drivers/staging.  Another reason to hate that directory.
A quick search finds the following additional firmware files:

drivers/staging/me4000/me4000_firmware.h
drivers/staging/me4000/me4610_firmware.h
drivers/staging/otus/hal/hp*fw*.c
drivers/staging/rt2870/common/firmware.h
drivers/staging/slicoss/gbrcvucode.h
drivers/staging/slicoss/oasisrcvucode.h

Of these, only rt2860 and rt2870 are enabled in Debian.

Ben.

[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sat, 28 Mar 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Mar 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #17 received at 521553@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 521553@bugs.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Sat, 28 Mar 2009 16:23:41 +0000
[Message part 1 (text/plain, inline)]
On Sat, Mar 28, 2009 at 02:34:14PM +0000, Ben Hutchings wrote:
> On Sat, 2009-03-28 at 15:03 +0200, Damyan Ivanov wrote:
> > Package: linux-2.6
> > Version: 2.6.29
> > Severity: serious
> > 
> > [cc-ed to debian-eeepc-devel as the affected network controller is uused in
> > several eeepc models]
> > 
> > Hi,
> > 
> > The file drivers/staging/rt2860/common/firmware.h contains the following
> > text:
> [...]
> 
> There was me thinking we'd finally got rid of the firmware, and more of
> it pops up in drivers/staging.  Another reason to hate that directory.
> A quick search finds the following additional firmware files:
> 
> drivers/staging/me4000/me4000_firmware.h
> drivers/staging/me4000/me4610_firmware.h
> drivers/staging/otus/hal/hp*fw*.c
> drivers/staging/rt2870/common/firmware.h
> drivers/staging/slicoss/gbrcvucode.h
> drivers/staging/slicoss/oasisrcvucode.h
> 
> Of these, only rt2860 and rt2870 are enabled in Debian.

I'd like to commit the following change.  Obviously this disables the
drivers and they will have to be modified to work with external firmware.
But I don't see why we should wait for that.

Ben.

Index: debian/changelog
===================================================================
--- debian/changelog	(revision 13283)
+++ debian/changelog	(working copy)
@@ -1,4 +1,4 @@
-linux-2.6 (2.6.29-2) UNRELEASED; urgency=low
+linux-2.6 (2.6.29.dfsg.1-2) UNRELEASED; urgency=low
 
   [ Martin Michlmayr ]
   * [arm/ixp4xx] Build in LEDS_TRIGGER_TIMER (closes: #521141).
@@ -6,8 +6,12 @@
   [ maximilian attems ]
   * linux-libc-dev: Bump versioned replaces libdrm-dev.
 
- -- Martin Michlmayr <tbm@cyrius.com>  Wed, 25 Mar 2009 08:57:14 +0100
+  [ Ben Hutchings ]
+  * Remove firmware from driver/staging (closes: #521553)
+    - Disable affected drivers: rt2860, rt2870
 
+ -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Mar 2009 10:42:00 -0500
+
 linux-2.6 (2.6.29-1) unstable; urgency=low
 
   * New upstream release
Index: debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch
===================================================================
--- debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch	(revision 0)
+++ debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch	(revision 0)
@@ -0,0 +1,11 @@
+diff --git a/drivers/staging/slicoss/Kconfig b/drivers/staging/slicoss/Kconfig
+index d2993d3..2b510e0 100644
+--- a/drivers/staging/slicoss/Kconfig
++++ b/drivers/staging/slicoss/Kconfig
+@@ -1,5 +1,6 @@
+ config SLICOSS
+ 	tristate "Alacritech Gigabit IS-NIC support"
++	depends on BROKEN
+ 	depends on PCI && X86 && NETDEV_1000
+ 	default n
+ 	help
Index: debian/patches/debian/dfsg/drivers-staging-otus-disable.patch
===================================================================
--- debian/patches/debian/dfsg/drivers-staging-otus-disable.patch	(revision 0)
+++ debian/patches/debian/dfsg/drivers-staging-otus-disable.patch	(revision 0)
@@ -0,0 +1,11 @@
+diff --git a/drivers/staging/otus/Kconfig b/drivers/staging/otus/Kconfig
+index d549d08..fef9785 100644
+--- a/drivers/staging/otus/Kconfig
++++ b/drivers/staging/otus/Kconfig
+@@ -1,5 +1,6 @@
+ config OTUS
+ 	tristate "Atheros OTUS 802.11n USB wireless support"
++	depends on BROKEN
+ 	depends on USB && WLAN_80211 && MAC80211
+ 	default N
+ 	---help---
Index: debian/patches/debian/dfsg/files-1
===================================================================
--- debian/patches/debian/dfsg/files-1	(revision 13283)
+++ debian/patches/debian/dfsg/files-1	(working copy)
@@ -57,5 +57,15 @@
 
 rm drivers/scsi/qlogicpti_asm.c
 
+rm drivers/staging/me4000/me*_firmware.h
+
+rm drivers/staging/otus/hal/hp*fw*.c
+
+rm drivers/staging/rt2860/common/firmware.h
+
+rm drivers/staging/rt2870/common/firmware.h
+
+rm drivers/staging/slicoss/*ucode.h
+
 rm sound/pci/cs46xx/cs46xx_image.h
 rm sound/pci/cs46xx/imgs
Index: debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch
===================================================================
--- debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch	(revision 0)
+++ debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch	(revision 0)
@@ -0,0 +1,12 @@
+diff --git a/drivers/staging/me4000/Kconfig b/drivers/staging/me4000/Kconfig
+index 5e6c9de..45d2ea9 100644
+--- a/drivers/staging/me4000/Kconfig
++++ b/drivers/staging/me4000/Kconfig
+@@ -1,6 +1,7 @@
+ config ME4000
+ 	tristate "Meilhaus ME-4000 support"
+ 	default n
++	depends on BROKEN
+ 	depends on PCI
+ 	help
+ 	  This driver supports the Meilhaus ME-4000 family of boards
Index: debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch
===================================================================
--- debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch	(revision 0)
+++ debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch	(revision 0)
@@ -0,0 +1,11 @@
+diff --git a/drivers/staging/rt2860/Kconfig b/drivers/staging/rt2860/Kconfig
+index 7f44e5e..9fb130d 100644
+--- a/drivers/staging/rt2860/Kconfig
++++ b/drivers/staging/rt2860/Kconfig
+@@ -1,5 +1,6 @@
+ config RT2860
+ 	tristate "Ralink 2860 wireless support"
++	depends on BROKEN
+ 	depends on PCI && X86 && WLAN_80211
+ 	---help---
+ 	  This is an experimental driver for the Ralink 2860 wireless chip.
Index: debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch
===================================================================
--- debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch	(revision 0)
+++ debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch	(revision 0)
@@ -0,0 +1,11 @@
+diff --git a/drivers/staging/rt2870/Kconfig b/drivers/staging/rt2870/Kconfig
+index 8398d97..cd4f0b6 100644
+--- a/drivers/staging/rt2870/Kconfig
++++ b/drivers/staging/rt2870/Kconfig
+@@ -1,5 +1,6 @@
+ config RT2870
+ 	tristate "Ralink 2870 wireless support"
++	depends on BROKEN
+ 	depends on USB && X86 && WLAN_80211
+ 	---help---
+ 	  This is an experimental driver for the Ralink 2870 wireless chip.
Index: debian/patches/series/orig-1
===================================================================
--- debian/patches/series/orig-1	(revision 0)
+++ debian/patches/series/orig-1	(revision 0)
@@ -0,0 +1,21 @@
++ debian/dfsg/drivers-gpu-drm-mga-disable.patch
++ debian/dfsg/drivers-gpu-drm-r128-disable.patch
++ debian/dfsg/drivers-gpu-drm-radeon-disable.patch
++ debian/dfsg/drivers-net-bnx2-disable.patch
++ debian/dfsg/drivers-net-bnx2x-disable.patch
++ debian/dfsg/drivers-net-appletalk-cops.patch
++ debian/dfsg/drivers-net-hamradio-yam.patch
++ debian/dfsg/drivers-net-myri.patch
++ debian/dfsg/drivers-net-tehuti-disable.patch
++ debian/dfsg/drivers-net-tokenring-3c359-smctr.patch
++ debian/dfsg/drivers-net-typhoon-disable.patch
++ debian/dfsg/drivers-scsi-qla1280-disable.patch
++ debian/dfsg/drivers-scsi-qlogicpti.patch
++ debian/dfsg/firmware-cleanup.patch
++ debian/dfsg/sound-pci.patch
++ debian/dfsg/drivers-staging-me4000-disable.patch
++ debian/dfsg/drivers-staging-otus-disable.patch
++ debian/dfsg/drivers-staging-rt2860-disable.patch
++ debian/dfsg/drivers-staging-rt2870-disable.patch
++ debian/dfsg/drivers-staging-slicoss-disable.patch
+X debian/dfsg/files-1
Index: debian/config/config
===================================================================
--- debian/config/config	(revision 13283)
+++ debian/config/config	(working copy)
@@ -1911,12 +1911,12 @@
 ##
 ## file: drivers/staging/rt2860/Kconfig
 ##
-CONFIG_RT2860=m
+# CONFIG_RT2860 is not set
 
 ##
 ## file: drivers/staging/rt2870/Kconfig
 ##
-CONFIG_RT2870=m
+# CONFIG_RT2870 is not set
 
 ##
 ## file: drivers/staging/rtl8187se/Kconfig

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sun, 29 Mar 2009 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Mar 2009 17:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 521553@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Ben Hutchings <ben@decadent.org.uk>, 521553@bugs.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Sun, 29 Mar 2009 19:05:49 +0200
On Sat, 28 Mar 2009, Ben Hutchings wrote:

> I'd like to commit the following change.  Obviously this disables the
> drivers and they will have to be modified to work with external firmware.
> But I don't see why we should wait for that.
> 
> Ben.

ok for committing to trunk, so that can be sorted for 2.6.30.

don't see the need to have to rush that for 2.6.29,
who just happened to be uploaded.
 
> Index: debian/changelog
> ===================================================================
> --- debian/changelog	(revision 13283)
> +++ debian/changelog	(working copy)
> @@ -1,4 +1,4 @@
> -linux-2.6 (2.6.29-2) UNRELEASED; urgency=low
> +linux-2.6 (2.6.29.dfsg.1-2) UNRELEASED; urgency=low
>  
>    [ Martin Michlmayr ]
>    * [arm/ixp4xx] Build in LEDS_TRIGGER_TIMER (closes: #521141).
> @@ -6,8 +6,12 @@
>    [ maximilian attems ]
>    * linux-libc-dev: Bump versioned replaces libdrm-dev.
>  
> - -- Martin Michlmayr <tbm@cyrius.com>  Wed, 25 Mar 2009 08:57:14 +0100
> +  [ Ben Hutchings ]
> +  * Remove firmware from driver/staging (closes: #521553)
> +    - Disable affected drivers: rt2860, rt2870
>  
> + -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Mar 2009 10:42:00 -0500
> +
>  linux-2.6 (2.6.29-1) unstable; urgency=low
>  
>    * New upstream release
> Index: debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch
> ===================================================================
> --- debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch	(revision 0)
> +++ debian/patches/debian/dfsg/drivers-staging-slicoss-disable.patch	(revision 0)
> @@ -0,0 +1,11 @@
> +diff --git a/drivers/staging/slicoss/Kconfig b/drivers/staging/slicoss/Kconfig
> +index d2993d3..2b510e0 100644
> +--- a/drivers/staging/slicoss/Kconfig
> ++++ b/drivers/staging/slicoss/Kconfig
> +@@ -1,5 +1,6 @@
> + config SLICOSS
> + 	tristate "Alacritech Gigabit IS-NIC support"
> ++	depends on BROKEN
> + 	depends on PCI && X86 && NETDEV_1000
> + 	default n
> + 	help
> Index: debian/patches/debian/dfsg/drivers-staging-otus-disable.patch
> ===================================================================
> --- debian/patches/debian/dfsg/drivers-staging-otus-disable.patch	(revision 0)
> +++ debian/patches/debian/dfsg/drivers-staging-otus-disable.patch	(revision 0)
> @@ -0,0 +1,11 @@
> +diff --git a/drivers/staging/otus/Kconfig b/drivers/staging/otus/Kconfig
> +index d549d08..fef9785 100644
> +--- a/drivers/staging/otus/Kconfig
> ++++ b/drivers/staging/otus/Kconfig
> +@@ -1,5 +1,6 @@
> + config OTUS
> + 	tristate "Atheros OTUS 802.11n USB wireless support"
> ++	depends on BROKEN
> + 	depends on USB && WLAN_80211 && MAC80211
> + 	default N
> + 	---help---
> Index: debian/patches/debian/dfsg/files-1
> ===================================================================
> --- debian/patches/debian/dfsg/files-1	(revision 13283)
> +++ debian/patches/debian/dfsg/files-1	(working copy)
> @@ -57,5 +57,15 @@
>  
>  rm drivers/scsi/qlogicpti_asm.c
>  
> +rm drivers/staging/me4000/me*_firmware.h
> +
> +rm drivers/staging/otus/hal/hp*fw*.c
> +
> +rm drivers/staging/rt2860/common/firmware.h
> +
> +rm drivers/staging/rt2870/common/firmware.h
> +
> +rm drivers/staging/slicoss/*ucode.h
> +
>  rm sound/pci/cs46xx/cs46xx_image.h
>  rm sound/pci/cs46xx/imgs
> Index: debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch
> ===================================================================
> --- debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch	(revision 0)
> +++ debian/patches/debian/dfsg/drivers-staging-me4000-disable.patch	(revision 0)
> @@ -0,0 +1,12 @@
> +diff --git a/drivers/staging/me4000/Kconfig b/drivers/staging/me4000/Kconfig
> +index 5e6c9de..45d2ea9 100644
> +--- a/drivers/staging/me4000/Kconfig
> ++++ b/drivers/staging/me4000/Kconfig
> +@@ -1,6 +1,7 @@
> + config ME4000
> + 	tristate "Meilhaus ME-4000 support"
> + 	default n
> ++	depends on BROKEN
> + 	depends on PCI
> + 	help
> + 	  This driver supports the Meilhaus ME-4000 family of boards
> Index: debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch
> ===================================================================
> --- debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch	(revision 0)
> +++ debian/patches/debian/dfsg/drivers-staging-rt2860-disable.patch	(revision 0)
> @@ -0,0 +1,11 @@
> +diff --git a/drivers/staging/rt2860/Kconfig b/drivers/staging/rt2860/Kconfig
> +index 7f44e5e..9fb130d 100644
> +--- a/drivers/staging/rt2860/Kconfig
> ++++ b/drivers/staging/rt2860/Kconfig
> +@@ -1,5 +1,6 @@
> + config RT2860
> + 	tristate "Ralink 2860 wireless support"
> ++	depends on BROKEN
> + 	depends on PCI && X86 && WLAN_80211
> + 	---help---
> + 	  This is an experimental driver for the Ralink 2860 wireless chip.
> Index: debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch
> ===================================================================
> --- debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch	(revision 0)
> +++ debian/patches/debian/dfsg/drivers-staging-rt2870-disable.patch	(revision 0)
> @@ -0,0 +1,11 @@
> +diff --git a/drivers/staging/rt2870/Kconfig b/drivers/staging/rt2870/Kconfig
> +index 8398d97..cd4f0b6 100644
> +--- a/drivers/staging/rt2870/Kconfig
> ++++ b/drivers/staging/rt2870/Kconfig
> +@@ -1,5 +1,6 @@
> + config RT2870
> + 	tristate "Ralink 2870 wireless support"
> ++	depends on BROKEN
> + 	depends on USB && X86 && WLAN_80211
> + 	---help---
> + 	  This is an experimental driver for the Ralink 2870 wireless chip.
> Index: debian/patches/series/orig-1
> ===================================================================
> --- debian/patches/series/orig-1	(revision 0)
> +++ debian/patches/series/orig-1	(revision 0)
> @@ -0,0 +1,21 @@
> ++ debian/dfsg/drivers-gpu-drm-mga-disable.patch
> ++ debian/dfsg/drivers-gpu-drm-r128-disable.patch
> ++ debian/dfsg/drivers-gpu-drm-radeon-disable.patch
> ++ debian/dfsg/drivers-net-bnx2-disable.patch
> ++ debian/dfsg/drivers-net-bnx2x-disable.patch
> ++ debian/dfsg/drivers-net-appletalk-cops.patch
> ++ debian/dfsg/drivers-net-hamradio-yam.patch
> ++ debian/dfsg/drivers-net-myri.patch
> ++ debian/dfsg/drivers-net-tehuti-disable.patch
> ++ debian/dfsg/drivers-net-tokenring-3c359-smctr.patch
> ++ debian/dfsg/drivers-net-typhoon-disable.patch
> ++ debian/dfsg/drivers-scsi-qla1280-disable.patch
> ++ debian/dfsg/drivers-scsi-qlogicpti.patch
> ++ debian/dfsg/firmware-cleanup.patch
> ++ debian/dfsg/sound-pci.patch
> ++ debian/dfsg/drivers-staging-me4000-disable.patch
> ++ debian/dfsg/drivers-staging-otus-disable.patch
> ++ debian/dfsg/drivers-staging-rt2860-disable.patch
> ++ debian/dfsg/drivers-staging-rt2870-disable.patch
> ++ debian/dfsg/drivers-staging-slicoss-disable.patch
> +X debian/dfsg/files-1
> Index: debian/config/config
> ===================================================================
> --- debian/config/config	(revision 13283)
> +++ debian/config/config	(working copy)
> @@ -1911,12 +1911,12 @@
>  ##
>  ## file: drivers/staging/rt2860/Kconfig
>  ##
> -CONFIG_RT2860=m
> +# CONFIG_RT2860 is not set
>  
>  ##
>  ## file: drivers/staging/rt2870/Kconfig
>  ##
> -CONFIG_RT2870=m
> +# CONFIG_RT2870 is not set
>  
>  ##
>  ## file: drivers/staging/rtl8187se/Kconfig
> 
> -- 
> Ben Hutchings
> Man invented language to satisfy his deep need to complain. - Lily Tomlin


-- 
maks




Tags added: pending Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 05 Apr 2009 20:09:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Wed, 08 Apr 2009 11:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Thu, 09 Apr 2009 20:57:02 GMT) Full text and rfc822 format available.

Message #29 received at 521553@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: maximilian attems <max@stro.at>, 521553@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Thu, 9 Apr 2009 23:54:41 +0300
[Message part 1 (text/plain, inline)]
-=| maximilian attems, Sun, Mar 29, 2009 at 07:05:49PM +0200 |=-
> On Sat, 28 Mar 2009, Ben Hutchings wrote:
> 
> > I'd like to commit the following change.  Obviously this disables the
> > drivers and they will have to be modified to work with external firmware.
> > But I don't see why we should wait for that.
> 
> ok for committing to trunk, so that can be sorted for 2.6.30.
> 
> don't see the need to have to rush that for 2.6.29,
> who just happened to be uploaded.

Darren Salt is working on porting rt2860 to use the standard firmware 
loading mechanism. In my understanding, that would allow the driver to 
remain in the tree (enabled) and the formware moved to the 
firmware-linux package.

The current state is at 
http://alioth.debian.org/~dsalt-guest/rt2860sta-fw.tar.gz

It is still a work in progress, but proves that the idea is feasible.

Could you consider incorporating that patch for rt2860 instead of 
cutting it off completely? I hope Darren finishes it before 2.6.30 is 
out. That would make the life of us owners of EeePC with the rt2860 
wireless card a lot easier.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Thu, 09 Apr 2009 23:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Darren Salt <linux@youmustbejoking.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Apr 2009 23:39:02 GMT) Full text and rfc822 format available.

Message #34 received at 521553@bugs.debian.org (full text, mbox):

From: Darren Salt <linux@youmustbejoking.demon.co.uk>
To: Damyan Ivanov <dmn@debian.org>, maximilian attems <max@stro.at>, 521553@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Fri, 10 Apr 2009 00:28:53 +0100
I demand that Damyan Ivanov may or may not have written...

[snip]
> Darren Salt is working on porting rt2860 to use the standard firmware
> loading mechanism. In my understanding, that would allow the driver to
> remain in the tree (enabled) and the formware moved to the firmware-linux
> package.

> The current state is at 
> http://alioth.debian.org/~dsalt-guest/rt2860sta-fw.tar.gz

This is now, I believe, completed; at least, it Works For Me. (I think that
it's in a suitable form for forwarding upstream, though they may want to
retain the option of embedding the firmware. This should be reasonably easy
to accomodate.)

rt2870 seems to follow much the same pattern. I may yet choose to convert it
but, lacking such hardware, I cannot test it.

[snip]
-- 
| Darren Salt    | linux or ds at              | nr. Ashington, | Toon
| RISC OS, Linux | youmustbejoking,demon,co,uk | Northumberland | Army
| + Output *more* particulate pollutants.      BUFFER AGAINST GLOBAL WARMING.

Don't worry, I'm fluent in weirdo...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Fri, 10 Apr 2009 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Apr 2009 00:48:03 GMT) Full text and rfc822 format available.

Message #39 received at 521553@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Darren Salt <linux@youmustbejoking.demon.co.uk>
Cc: Damyan Ivanov <dmn@debian.org>, maximilian attems <max@stro.at>, 521553@bugs.debian.org, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Fri, 10 Apr 2009 01:46:44 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2009-04-10 at 00:28 +0100, Darren Salt wrote:
> I demand that Damyan Ivanov may or may not have written...
> 
> [snip]
> > Darren Salt is working on porting rt2860 to use the standard firmware
> > loading mechanism. In my understanding, that would allow the driver to
> > remain in the tree (enabled) and the formware moved to the firmware-linux
> > package.
> 
> > The current state is at 
> > http://alioth.debian.org/~dsalt-guest/rt2860sta-fw.tar.gz
> 
> This is now, I believe, completed; at least, it Works For Me. (I think that
> it's in a suitable form for forwarding upstream, though they may want to
> retain the option of embedding the firmware. This should be reasonably easy
> to accomodate.)
[...]

Here's a patch which makes slightly smaller changes and also eliminates
the duplicate CRC function.  I would like to apply this and submit it
upstream, but could you test it for me before I do that?

Ben.

[0001-rt2860sta-Use-request_firmware-to-load-firmware.patch (application/mbox, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Fri, 10 Apr 2009 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Darren Salt <linux@youmustbejoking.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Apr 2009 19:15:05 GMT) Full text and rfc822 format available.

Message #44 received at 521553@bugs.debian.org (full text, mbox):

From: Darren Salt <linux@youmustbejoking.demon.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Damyan Ivanov <dmn@debian.org>, maximilian attems <max@stro.at>, 521553@bugs.debian.org, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#521553: rt2860 driver contains non-free firmware
Date: Fri, 10 Apr 2009 19:59:18 +0100
I demand that Ben Hutchings may or may not have written...

> On Fri, 2009-04-10 at 00:28 +0100, Darren Salt wrote:
[snip]
>> [ http://alioth.debian.org/~dsalt-guest/rt2860sta-fw.tar.gz ] is now, I
>> believe, completed; at least, it Works For Me. (I think that it's in a
>> suitable form for forwarding upstream, though they may want to retain the
>> option of embedding the firmware. This should be reasonably easy to
>> accomodate.)
> [...]

> Here's a patch which makes slightly smaller changes and also eliminates the
> duplicate CRC function.  I would like to apply this and submit it upstream,
> but could you test it for me before I do that?

Fails due to (at least) CRC errors. The content of the buffer is, as far as
the CRC calculation is concerned, *entirely* bit-reversed. (Yes, I missed
that too at first.)

So I've added a CRC calculation patch and modified my patch (which, though it
has more changes, should be a bit cleaner) to use the new CRC code; URL as
above.

-- 
| Darren Salt    | linux or ds at              | nr. Ashington, | Toon
| RISC OS, Linux | youmustbejoking,demon,co,uk | Northumberland | Army
| + Output less CO2 => avoid boiling weather.     TIME IS RUNNING OUT *FAST*.

I will not forget me.




Tags added: pending Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 12 Apr 2009 02:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sun, 31 May 2009 09:09:09 GMT) Full text and rfc822 format available.

Message #49 received at 521553@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 521553@bugs.debian.org
Cc: debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: #521553: staging/rt2860 and firmware
Date: Sun, 31 May 2009 11:53:19 +0300
[Message part 1 (text/plain, inline)]
Hi,

I tried linux-image-2.6.30-rc7-686 
(2.6.30~rc7-1~experimental.1~snapshot.13688) from 
http://kernel-archive.buildserver.net/debian-kernel and it appears the 
rt2860 driver is not available.

Is there a problem with Darren's patch?

-- 
dam
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sun, 31 May 2009 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 31 May 2009 18:24:05 GMT) Full text and rfc822 format available.

Message #54 received at 521553@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dmn@debian.org>, 521553@bugs.debian.org
Subject: Re: Bug#521553: #521553: staging/rt2860 and firmware
Date: Sun, 31 May 2009 19:23:08 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2009-05-31 at 11:53 +0300, Damyan Ivanov wrote:
> Hi,
> 
> I tried linux-image-2.6.30-rc7-686 
> (2.6.30~rc7-1~experimental.1~snapshot.13688) from 
> http://kernel-archive.buildserver.net/debian-kernel and it appears the 
> rt2860 driver is not available.
> 
> Is there a problem with Darren's patch?

There was an error in a kernel-doc comment in one of the patches which
broke the documentation package build, so Bastian temporarily disabled
the patches.  This is now fixed and the driver will be built next time.

Ben.

-- 
Ben Hutchings
Logic doesn't apply to the real world. - Marvin Minsky
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#521553; Package linux-2.6. (Sun, 31 May 2009 19:00:04 GMT) Full text and rfc822 format available.

Message #57 received at 521553@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 521553@bugs.debian.org
Subject: Re: Bug#521553: #521553: staging/rt2860 and firmware
Date: Sun, 31 May 2009 21:54:02 +0300
[Message part 1 (text/plain, inline)]
-=| Ben Hutchings, Sun, May 31, 2009 at 07:23:08PM +0100 |=-
> On Sun, 2009-05-31 at 11:53 +0300, Damyan Ivanov wrote:
> > Is there a problem with Darren's patch?
> 
> There was an error in a kernel-doc comment in one of the patches which
> broke the documentation package build, so Bastian temporarily disabled
> the patches.  This is now fixed and the driver will be built next time.

Thanks Ben, really appreciated!

-- 
dam
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 14 Jun 2009 02:27:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Sun, 14 Jun 2009 08:42:06 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sun, 14 Jun 2009 14:12:14 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sun, 14 Jun 2009 14:12:14 GMT) Full text and rfc822 format available.

Message #66 received at 521553-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 521553-close@bugs.debian.org
Subject: Bug#521553: fixed in linux-2.6 2.6.30-1
Date: Sun, 14 Jun 2009 13:45:09 +0000
Source: linux-2.6
Source-Version: 2.6.30-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.30-1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.30-1.diff.gz
linux-2.6_2.6.30-1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.30-1.dsc
linux-2.6_2.6.30.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.30.orig.tar.gz
linux-doc-2.6.30_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.30_2.6.30-1_all.deb
linux-headers-2.6.30-1-all-powerpc_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-all-powerpc_2.6.30-1_powerpc.deb
linux-headers-2.6.30-1-all_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-all_2.6.30-1_powerpc.deb
linux-headers-2.6.30-1-common_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-common_2.6.30-1_powerpc.deb
linux-headers-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
linux-headers-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
linux-headers-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
linux-image-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
linux-image-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
linux-image-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
linux-libc-dev_2.6.30-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.30-1_powerpc.deb
linux-manual-2.6.30_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.30_2.6.30-1_all.deb
linux-patch-debian-2.6.30_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.30_2.6.30-1_all.deb
linux-source-2.6.30_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.30_2.6.30-1_all.deb
linux-support-2.6.30-1_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.30-1_2.6.30-1_all.deb
linux-tree-2.6.30_2.6.30-1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.30_2.6.30-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521553@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Jun 2009 11:45:08 +0200
Source: linux-2.6
Binary: linux-source-2.6.30 linux-doc-2.6.30 linux-manual-2.6.30 linux-patch-debian-2.6.30 linux-tree-2.6.30 linux-support-2.6.30-1 linux-libc-dev linux-headers-2.6.30-1-all linux-headers-2.6.30-1-all-alpha linux-headers-2.6.30-1-common linux-image-2.6.30-1-alpha-generic linux-headers-2.6.30-1-alpha-generic linux-image-2.6.30-1-alpha-smp linux-headers-2.6.30-1-alpha-smp linux-image-2.6.30-1-alpha-legacy linux-headers-2.6.30-1-alpha-legacy linux-headers-2.6.30-1-all-amd64 linux-image-2.6.30-1-amd64 linux-headers-2.6.30-1-amd64 linux-headers-2.6.30-1-all-arm linux-image-2.6.30-1-footbridge linux-headers-2.6.30-1-footbridge linux-image-2.6.30-1-iop32x linux-headers-2.6.30-1-iop32x linux-image-2.6.30-1-ixp4xx linux-headers-2.6.30-1-ixp4xx linux-image-2.6.30-1-orion5x linux-headers-2.6.30-1-orion5x linux-headers-2.6.30-1-all-armel linux-image-2.6.30-1-kirkwood linux-headers-2.6.30-1-kirkwood linux-image-2.6.30-1-versatile linux-headers-2.6.30-1-versatile linux-headers-2.6.30-1-all-hppa linux-image-2.6.30-1-parisc linux-headers-2.6.30-1-parisc linux-image-2.6.30-1-parisc-smp linux-headers-2.6.30-1-parisc-smp linux-image-2.6.30-1-parisc64 linux-headers-2.6.30-1-parisc64 linux-image-2.6.30-1-parisc64-smp linux-headers-2.6.30-1-parisc64-smp linux-headers-2.6.30-1-all-i386 linux-image-2.6.30-1-486 linux-headers-2.6.30-1-486 linux-image-2.6.30-1-686 linux-headers-2.6.30-1-686 linux-image-2.6.30-1-686-bigmem linux-headers-2.6.30-1-686-bigmem linux-headers-2.6.30-1-all-ia64 linux-image-2.6.30-1-itanium linux-headers-2.6.30-1-itanium linux-image-2.6.30-1-mckinley linux-headers-2.6.30-1-mckinley linux-headers-2.6.30-1-all-m68k linux-image-2.6.30-1-amiga linux-headers-2.6.30-1-amiga linux-image-2.6.30-1-atari linux-headers-2.6.30-1-atari linux-image-2.6.30-1-bvme6000 linux-headers-2.6.30-1-bvme6000 linux-image-2.6.30-1-mac linux-headers-2.6.30-1-mac linux-image-2.6.30-1-mvme147 linux-headers-2.6.30-1-mvme147 linux-image-2.6.30-1-mvme16x linux-headers-2.6.30-1-mvme16x linux-headers-2.6.30-1-all-mips linux-image-2.6.30-1-r4k-ip22 linux-headers-2.6.30-1-r4k-ip22 linux-image-2.6.30-1-r5k-ip32 linux-headers-2.6.30-1-r5k-ip32 linux-image-2.6.30-1-sb1-bcm91250a linux-headers-2.6.30-1-sb1-bcm91250a linux-image-2.6.30-1-sb1a-bcm91480b linux-headers-2.6.30-1-sb1a-bcm91480b linux-image-2.6.30-1-4kc-malta linux-headers-2.6.30-1-4kc-malta linux-image-2.6.30-1-5kc-malta linux-headers-2.6.30-1-5kc-malta linux-headers-2.6.30-1-all-mipsel linux-image-2.6.30-1-r5k-cobalt linux-headers-2.6.30-1-r5k-cobalt linux-headers-2.6.30-1-all-powerpc linux-image-2.6.30-1-powerpc linux-headers-2.6.30-1-powerpc linux-image-2.6.30-1-powerpc-smp linux-headers-2.6.30-1-powerpc-smp linux-image-2.6.30-1-powerpc64 linux-headers-2.6.30-1-powerpc64 linux-headers-2.6.30-1-all-s390 linux-image-2.6.30-1-s390x linux-headers-2.6.30-1-s390x linux-image-2.6.30-1-s390x-tape linux-headers-2.6.30-1-all-sparc linux-image-2.6.30-1-sparc64 linux-headers-2.6.30-1-sparc64 linux-image-2.6.30-1-sparc64-smp linux-headers-2.6.30-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.30-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.30 - Linux kernel specific documentation for version 2.6.30
 linux-headers-2.6.30-1-486 - Header files for Linux 2.6.30-1-486
 linux-headers-2.6.30-1-4kc-malta - Header files for Linux 2.6.30-1-4kc-malta
 linux-headers-2.6.30-1-5kc-malta - Header files for Linux 2.6.30-1-5kc-malta
 linux-headers-2.6.30-1-686 - Header files for Linux 2.6.30-1-686
 linux-headers-2.6.30-1-686-bigmem - Header files for Linux 2.6.30-1-686-bigmem
 linux-headers-2.6.30-1-all - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-alpha - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-amd64 - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-arm - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-armel - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-hppa - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-i386 - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-ia64 - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-m68k - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-mips - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-mipsel - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-powerpc - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-s390 - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-all-sparc - All header files for Linux 2.6.30
 linux-headers-2.6.30-1-alpha-generic - Header files for Linux 2.6.30-1-alpha-generic
 linux-headers-2.6.30-1-alpha-legacy - Header files for Linux 2.6.30-1-alpha-legacy
 linux-headers-2.6.30-1-alpha-smp - Header files for Linux 2.6.30-1-alpha-smp
 linux-headers-2.6.30-1-amd64 - Header files for Linux 2.6.30-1-amd64
 linux-headers-2.6.30-1-amiga - Header files for Linux 2.6.30-1-amiga
 linux-headers-2.6.30-1-atari - Header files for Linux 2.6.30-1-atari
 linux-headers-2.6.30-1-bvme6000 - Header files for Linux 2.6.30-1-bvme6000
 linux-headers-2.6.30-1-common - Common header files for Linux 2.6.30-1
 linux-headers-2.6.30-1-footbridge - Header files for Linux 2.6.30-1-footbridge
 linux-headers-2.6.30-1-iop32x - Header files for Linux 2.6.30-1-iop32x
 linux-headers-2.6.30-1-itanium - Header files for Linux 2.6.30-1-itanium
 linux-headers-2.6.30-1-ixp4xx - Header files for Linux 2.6.30-1-ixp4xx
 linux-headers-2.6.30-1-kirkwood - Header files for Linux 2.6.30-1-kirkwood
 linux-headers-2.6.30-1-mac - Header files for Linux 2.6.30-1-mac
 linux-headers-2.6.30-1-mckinley - Header files for Linux 2.6.30-1-mckinley
 linux-headers-2.6.30-1-mvme147 - Header files for Linux 2.6.30-1-mvme147
 linux-headers-2.6.30-1-mvme16x - Header files for Linux 2.6.30-1-mvme16x
 linux-headers-2.6.30-1-orion5x - Header files for Linux 2.6.30-1-orion5x
 linux-headers-2.6.30-1-parisc - Header files for Linux 2.6.30-1-parisc
 linux-headers-2.6.30-1-parisc-smp - Header files for Linux 2.6.30-1-parisc-smp
 linux-headers-2.6.30-1-parisc64 - Header files for Linux 2.6.30-1-parisc64
 linux-headers-2.6.30-1-parisc64-smp - Header files for Linux 2.6.30-1-parisc64-smp
 linux-headers-2.6.30-1-powerpc - Header files for Linux 2.6.30-1-powerpc
 linux-headers-2.6.30-1-powerpc-smp - Header files for Linux 2.6.30-1-powerpc-smp
 linux-headers-2.6.30-1-powerpc64 - Header files for Linux 2.6.30-1-powerpc64
 linux-headers-2.6.30-1-r4k-ip22 - Header files for Linux 2.6.30-1-r4k-ip22
 linux-headers-2.6.30-1-r5k-cobalt - Header files for Linux 2.6.30-1-r5k-cobalt
 linux-headers-2.6.30-1-r5k-ip32 - Header files for Linux 2.6.30-1-r5k-ip32
 linux-headers-2.6.30-1-s390x - Header files for Linux 2.6.30-1-s390x
 linux-headers-2.6.30-1-sb1-bcm91250a - Header files for Linux 2.6.30-1-sb1-bcm91250a
 linux-headers-2.6.30-1-sb1a-bcm91480b - Header files for Linux 2.6.30-1-sb1a-bcm91480b
 linux-headers-2.6.30-1-sparc64 - Header files for Linux 2.6.30-1-sparc64
 linux-headers-2.6.30-1-sparc64-smp - Header files for Linux 2.6.30-1-sparc64-smp
 linux-headers-2.6.30-1-versatile - Header files for Linux 2.6.30-1-versatile
 linux-image-2.6.30-1-486 - Linux 2.6.30 image on x86
 linux-image-2.6.30-1-4kc-malta - Linux 2.6.30 image on MIPS Malta
 linux-image-2.6.30-1-5kc-malta - Linux 2.6.30 image on MIPS Malta (64-bit)
 linux-image-2.6.30-1-686 - Linux 2.6.30 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.30-1-686-bigmem - Linux 2.6.30 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.30-1-alpha-generic - Linux 2.6.30 image on Alpha
 linux-image-2.6.30-1-alpha-legacy - Linux 2.6.30 image on Alpha Legacy
 linux-image-2.6.30-1-alpha-smp - Linux 2.6.30 image on Alpha SMP
 linux-image-2.6.30-1-amd64 - Linux 2.6.30 image on AMD64
 linux-image-2.6.30-1-amiga - Linux 2.6.30 image on Amiga
 linux-image-2.6.30-1-atari - Linux 2.6.30 image on Atari
 linux-image-2.6.30-1-bvme6000 - Linux 2.6.30 image on BVM BVME4000 and BVME6000
 linux-image-2.6.30-1-footbridge - Linux 2.6.30 image on Footbridge
 linux-image-2.6.30-1-iop32x - Linux 2.6.30 image on IOP32x
 linux-image-2.6.30-1-itanium - Linux 2.6.30 image on Itanium
 linux-image-2.6.30-1-ixp4xx - Linux 2.6.30 image on IXP4xx
 linux-image-2.6.30-1-kirkwood - Linux 2.6.30 image on Marvell Kirkwood
 linux-image-2.6.30-1-mac - Linux 2.6.30 image on Macintosh
 linux-image-2.6.30-1-mckinley - Linux 2.6.30 image on Itanium II
 linux-image-2.6.30-1-mvme147 - Linux 2.6.30 image on Motorola MVME147
 linux-image-2.6.30-1-mvme16x - Linux 2.6.30 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.30-1-orion5x - Linux 2.6.30 image on Orion
 linux-image-2.6.30-1-parisc - Linux 2.6.30 image on 32-bit PA-RISC
 linux-image-2.6.30-1-parisc-smp - Linux 2.6.30 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.30-1-parisc64 - Linux 2.6.30 image on 64-bit PA-RISC
 linux-image-2.6.30-1-parisc64-smp - Linux 2.6.30 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.30-1-powerpc - Linux 2.6.30 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.30-1-powerpc-smp - Linux 2.6.30 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.30-1-powerpc64 - Linux 2.6.30 image on 64-bit PowerPC
 linux-image-2.6.30-1-r4k-ip22 - Linux 2.6.30 image on SGI IP22
 linux-image-2.6.30-1-r5k-cobalt - Linux 2.6.30 image on Cobalt
 linux-image-2.6.30-1-r5k-ip32 - Linux 2.6.30 image on SGI IP32
 linux-image-2.6.30-1-s390x - Linux 2.6.30 image on IBM zSeries
 linux-image-2.6.30-1-s390x-tape - Linux 2.6.30 image on IBM zSeries, IPL from tape
 linux-image-2.6.30-1-sb1-bcm91250a - Linux 2.6.30 image on BCM91250A
 linux-image-2.6.30-1-sb1a-bcm91480b - Linux 2.6.30 image on BCM91480B
 linux-image-2.6.30-1-sparc64 - Linux 2.6.30 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.30-1-sparc64-smp - Linux 2.6.30 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.30-1-versatile - Linux 2.6.30 image on Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.30 - Linux kernel API manual pages for version 2.6.30
 linux-patch-debian-2.6.30 - Debian patches to version 2.6.30 of the Linux kernel
 linux-source-2.6.30 - Linux kernel source for version 2.6.30 with Debian patches
 linux-support-2.6.30-1 - Support files for Linux 2.6.30
 linux-tree-2.6.30 - Linux kernel source tree for building Debian kernel images
Closes: 431500 458493 498293 506964 508426 513695 521553 521829 524699 526836 527056 529785 531804
Changes: 
 linux-2.6 (2.6.30-1) unstable; urgency=low
 .
   * New upstream release.
     - radeonfb: suspend/resume for ATI Mobility Radeon RV350.
       (closes: #506964)
     - tcp: fix MSG_PEEK race check (closes: #513695)
     - e100 fixes (closes: #527056)
     - mos7840: fix miscalculation of minor numbers (closes: #498293)
     - reiserfs update (closes: #531804)
     - bluetooth stack suspend/resume (closes: #508426, #529785)
     - e1000e: Remove mutex_trylock and associated WARN on failure
       (closes: #524699)
 .
   [ maximilian attems ]
   * [sparc] Enable BLK_DEV_CRYPTOLOOP. (closes: #521829)
   * Enable PATA_JMICRON instead of legacy BLK_DEV_JMICRON.
     (closes: #431500, #458493)
   * Set new NILFS2, AT76C50X_USB, MWL8K, P54_SPI, AR9170_USB,
     NETFILTER_XT_MATCH_CLUSTER, RDS, SCSI_MPT2SAS, SCSI_OSD_INITIATOR,
     ETHOC, IGBVF, VXGE, TOUCHSCREEN_AD7877, SENSORS_ATK0110,
     NETFILTER_XT_TARGET_LED, 3C359, HW_RANDOM_TIMERIOMEM, SENSORS_G760A,
     SENSORS_LTC4215, SENSORS_LM95241, USB_GSPCA_MR97310A, USB_GSPCA_SQ905,
     USB_GSPCA_SQ905C, USB_PWC_INPUT_EVDEV, DVB_USB_CE6230, SND_INDIGOIOX,
     SND_INDIGODJX, USB_SERIAL_CP210X, USB_SERIAL_QUALCOMM,
     USB_SERIAL_SYMBOL, ISL29003, SERIAL_MAX3100, VIDEO_HDPVR, VIDEO_CX231XX,
     DRAGONRISE_FF, LEDS_LP5521, LEDS_DAC124S085, LEDS_BD2802,
     UIO_AEC, CRYPTO_ZLIB, REGULATOR_FIXED_VOLTAGE, NOP_USB_XCEIV,
     POHMELFS, FSCACHE, CACHEFILES, EXOFS, NFS_FSCACHE, AFS_FSCACHE,
     MTD_NAND_NANDSIM, STRIP_ASM_SYMS, FCOE_FNIC, USB_NET_CDC_EEM,
     PCI_IOV, ASYNC_TX_DMA, ROMFS_BACKED_BY_BOTH, DETECT_HUNG_TASK.
   * [amd64, i386] Set new DELL_WMI, EDAC_AMD8131, EDAC_AMD8111, X86_PAT, DMAR,
     X86_CPU_DEBUG, CRYPTO_AES_NI_INTEL, X86_X2APIC.
   * Newer Standards-Version 3.8.1 without changes.
   * xfs: fix freeing memory in xfs_getbmap().
 .
   [ Ben Hutchings ]
   * Remove firmware from drivers/staging (closes: #521553)
     - make rt2860sta and rt2870sta use request_firmware(),
       thanks to Darren Salt
   * Remove some sourceless firmware not included in Debian kernel images
 .
   [ Martin Michlmayr ]
   * [mipsel/r5k-cobalt] Enable SCSI_SYM53C8XX_2 (closes: #526836).
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Turn off BOOT_TRACER,
     BLK_DEV_IO_TRACE, CONTEXT_SWITCH_TRACER, ARM_UNWIND and
     SECURITY_SELINUX because of size constraints.
   * [mips/sb1-bcm91250a] There is a platform PATA driver for SWARM IDE
     these days, so disable IDE and build in ATA, SCSI and BLK_DEV_SD.
   * [mips/sb1-bcm91250a, mips/sb1a-bcm91480b] Compile in SB1250_MAC and
     BROADCOM_PHY.
   * [mips/r4k-ip22] Enable NET_ISA and various ISA network modules on
     the request of Damian Dimmich since they might be useful on the
     SGI Indigo2.
   * Add patches from git.marvell.com:
     - alternative copy_to_user: more precise fallback threshold
     - lower overhead with alternative copy_to_user for small copies
     - Kirkwood: Add CPU idle driver
     - Kirkwood: clock gating for unused peripherals
 .
   [ Aurelien Jarno ]
   * [mips(el)/sb1-bcm91250a] Set CONFIG_SCSI_AIC7XXX=y, it is needed
     on the build daemons.
 .
   [ Bastian Blank ]
   * [i386] Disable PentiumPro errata workaround.
   * [i386] Enable support for big SMP systems.
   * Disable OSS.
   * [s390] Use Sparse Memory layout.
   * [amd64, i386, powerpc, sparc] Make IPv6 support built-in.
   * Centralize Sound core options.
   * Centralize Power Management options.
   * Centralize CPU Frequency scaling options.
   * [sparc] Enable CPU Frequency scaling.
   * Enable Network console logging support.
   * [s390/s390x-tape] Add image.
   * [s390/s390, s390/s390-tape] Remove images.
   * [i386/486] Enable High Memory Support.
   * [i386] Allocate pagetables from High Memory.
   * [amd64, i386] Write protect kernel read-only data structures.
   * [amd64, i386] Make kernel relocatable.
   * Move images and headers into kernel section.
 .
   [ dann frazier ]
   * Enable bnx2x, using firmware-split patches from net-next and mirroring
     the per-subarch config settings used for bnx2
Checksums-Sha1: 
 686cd6a470d140f2507b35f584ae58884080d20c 4519 linux-2.6_2.6.30-1.dsc
 8fed53acff4c06c33d4b026977ea699fc5304205 74281863 linux-2.6_2.6.30.orig.tar.gz
 3ef37608126294f3770fc76f0f25c738940faf53 367712 linux-2.6_2.6.30-1.diff.gz
 3068b8fee65178c0f8aee777972b296fdce3eb50 110798 linux-tree-2.6.30_2.6.30-1_all.deb
 62f01338627eb356d059bb94aab01e29a89f2f12 126434 linux-support-2.6.30-1_2.6.30-1_all.deb
 fc4c6222988e4b1105a0f6f9580b5551dfd639f9 198382 linux-patch-debian-2.6.30_2.6.30-1_all.deb
 0dd31985b4a1401bb1bf50afc8cbb4e8a383d4a0 390756 linux-headers-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 20cdaec869793a00b50da8c9d076ec6d83843693 26992376 linux-image-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 75d774a361704e33980d2645c0960d0798f0b69e 57590108 linux-source-2.6.30_2.6.30-1_all.deb
 1abcebfbd322e8311e5bb2f009658ac0de6406d3 392090 linux-headers-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 448426c73f7c7dabaf38d8032fefb5645dc48964 27399134 linux-image-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 0a31f145ff66df48295510038edb31bd91c35dd3 401166 linux-headers-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 f1c74b57c1906796ac28f8893c2181db36679c3d 26668676 linux-image-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 04e0f07639ef66e45fdb37521438e46f058fc997 3555692 linux-headers-2.6.30-1-common_2.6.30-1_powerpc.deb
 de72d50713eabec244ed719d69228c829511cea2 110442 linux-headers-2.6.30-1-all_2.6.30-1_powerpc.deb
 7b5e757a20e22673238a0318d79f30ddc6e89457 110466 linux-headers-2.6.30-1-all-powerpc_2.6.30-1_powerpc.deb
 20a81f02f69773e7ddb2d99fe50f6eca50cc4da7 793704 linux-libc-dev_2.6.30-1_powerpc.deb
 15705e121147168ec3d5a8dfcf3ae1046daf4422 5231714 linux-doc-2.6.30_2.6.30-1_all.deb
 f0aebe9832292e96bad778eed06cf1699efa1a5e 2246682 linux-manual-2.6.30_2.6.30-1_all.deb
Checksums-Sha256: 
 8047d3ce2f231f8842f0670cca0d9dc4e75a94f121835f3421bb5cc5d5f1441e 4519 linux-2.6_2.6.30-1.dsc
 9e31e9a9377b4f47033f2e9d47454a1c20f6cafbf522a592495a282f57748ab7 74281863 linux-2.6_2.6.30.orig.tar.gz
 c9df50ed0ed69a2bd621a0baa1b1000433efe272f38e918f5d8d89029d5fcc8a 367712 linux-2.6_2.6.30-1.diff.gz
 c13008e53859c650dea5c1ed71a096e657ab688da97353fb2c89331f75eb752f 110798 linux-tree-2.6.30_2.6.30-1_all.deb
 b0e0f3ff854d12bd414a429675500fa0e3b4ff0d5a0fd4530d208c3410a357a5 126434 linux-support-2.6.30-1_2.6.30-1_all.deb
 8e68442ef49ec324f36b9b1a911b0ca999733bf1da78ca2a90586c1971640341 198382 linux-patch-debian-2.6.30_2.6.30-1_all.deb
 2afbbdb5b2a4e87bacf4ed26579d57aef15465e01df782fea1d9bfbd409af736 390756 linux-headers-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 35cc4c9b3c3ca02dae61c70bb31bfb187e529f17e1ba7f7bbf5ab79b43bc2d68 26992376 linux-image-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 225a37960d045774019910915f0fd13915006c4ecca59dedd7b47b70b8c0b3f3 57590108 linux-source-2.6.30_2.6.30-1_all.deb
 413a6bff2dbae7839647152db9c3c0a760ab4b5f8258bdb6c04eac44a4f845c4 392090 linux-headers-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 033c78c361bdc43c77c9c798c00132df54af09b8b84182befdbb5f6f979efb15 27399134 linux-image-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 b70453aa9e560e9ad52cd3a270b2c4f2e064149e76704e6bb2b4f4a8ec204f1c 401166 linux-headers-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 6b43d15eac936d67377ecf107e9a8a39a0b9d08691ec2339ec184ab2cf289dc8 26668676 linux-image-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 91deb44ba17bd833c478a78bb873b1050c4b324fd6a485dac967fceaf73084a3 3555692 linux-headers-2.6.30-1-common_2.6.30-1_powerpc.deb
 2597c228e677cac8962cea0356f115fd1225954eb29550f93a2885023be0e613 110442 linux-headers-2.6.30-1-all_2.6.30-1_powerpc.deb
 ad9720d3b0f3c5fe49f312e503545e7d61d8e9a8f79fdf0000d7ee073466d61d 110466 linux-headers-2.6.30-1-all-powerpc_2.6.30-1_powerpc.deb
 20bf7e135273a7aafc2b5626ac4da894a4d558a6e5619d59ca400fef405cde2d 793704 linux-libc-dev_2.6.30-1_powerpc.deb
 1c9fec3327424a8f900eb6a6fc2dff593e95054cbae576ff79032ce4616a8bde 5231714 linux-doc-2.6.30_2.6.30-1_all.deb
 740febc8be069b0a6686c979a266dca8c8439d449b69a43884f21bc83499f92b 2246682 linux-manual-2.6.30_2.6.30-1_all.deb
Files: 
 70f7984b7befd24f301c03e0a1c08b23 4519 kernel optional linux-2.6_2.6.30-1.dsc
 260d23d7a4858cf74818f9d9fc44bb46 74281863 kernel optional linux-2.6_2.6.30.orig.tar.gz
 8575a63768104c68a09255907e2a5ef6 367712 kernel optional linux-2.6_2.6.30-1.diff.gz
 3f1e267cc47dded156f8fe63f796b00e 110798 devel optional linux-tree-2.6.30_2.6.30-1_all.deb
 62e1f0c6727946e2793b6cb980dfc2d1 126434 devel optional linux-support-2.6.30-1_2.6.30-1_all.deb
 96a7ad939024e7e95fbba3bb8e4838f6 198382 kernel optional linux-patch-debian-2.6.30_2.6.30-1_all.deb
 7cf0023312fd1b8fcab7a62ec0f7bb3a 390756 kernel optional linux-headers-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 2a8276ffecc53ef74630c82da5b0b169 26992376 kernel optional linux-image-2.6.30-1-powerpc_2.6.30-1_powerpc.deb
 db42016d1e6487045565148317952c67 57590108 kernel optional linux-source-2.6.30_2.6.30-1_all.deb
 a992129499c5406a74db126b82654d51 392090 kernel optional linux-headers-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 be5b62d0db406b131698a0990d7b83a2 27399134 kernel optional linux-image-2.6.30-1-powerpc-smp_2.6.30-1_powerpc.deb
 50dd5f6c14bd42da4e335da76e797d9c 401166 kernel optional linux-headers-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 672c31c8d35e8db43242094e07006aa0 26668676 kernel optional linux-image-2.6.30-1-powerpc64_2.6.30-1_powerpc.deb
 02cf1b2a62aeae8275215fa88f27ac54 3555692 kernel optional linux-headers-2.6.30-1-common_2.6.30-1_powerpc.deb
 5bddbb54cfce037bf7f1ecef0c4f96fb 110442 kernel optional linux-headers-2.6.30-1-all_2.6.30-1_powerpc.deb
 0ce2d5669eb3a0053ae3eeeca1817e69 110466 kernel optional linux-headers-2.6.30-1-all-powerpc_2.6.30-1_powerpc.deb
 5b58864b871cb7263f13312130ac338b 793704 devel optional linux-libc-dev_2.6.30-1_powerpc.deb
 ff17dff1e076bae599a3a0fabbbc6346 5231714 doc optional linux-doc-2.6.30_2.6.30-1_all.deb
 343ab6b99612f33ff5eac483470eefb9 2246682 doc optional linux-manual-2.6.30_2.6.30-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAko05GsACgkQLkAIIn9ODhFusgCg/0vBiFSMDFSkBj2SZtNJDT/d
ijUAoIAd8xb601zIBW4bqdLPaQ5Y7T82
=knbk
-----END PGP SIGNATURE-----





Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 14 Jun 2009 20:18:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jul 2009 07:41:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 15:59:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.